html,
body {
  width: 100%;
  height: 100%;
  user-select: none;
  -webkit-user-select: none;
  touch-action: none;
}

body {
  padding-top: 0;
  margin: 0;
  -webkit-overflow-scrolling: touch;
}

#app {
  height: 100%;
  background-color: black;
  background-image: url(https://eol-cdn.free-coins.ru/frontend/browser/10e7b10dd7d3b71c7687.jpg);
  background-size: cover;
  background-position: 50%;
  background-repeat: no-repeat;
}

.game-ok #app {
  height: 800px;
}

.game-ok.fullscreen #app {
  height: 100% !important;
}

canvas {
  position: fixed;
  top: 0;
  left: 50%;
  transform: translate3d(-50%, 0, 0);
}

div#stats {
  position: fixed;
  top: 0;
  right: 0;
  z-index: 500;
  width: max(200px, 10vw, 10vh);
  height: max(100px, 6vh, 6vw);
  opacity: 0.8;
  user-select: none;
}

#overlay {
  top: 0;
  z-index: 999;
  position: fixed;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.8);

  display: none;
  justify-content: center;
  align-items: center;
  flex-flow: column;
}

#overlay-message {
  color: white;
  font-family: "Arial", sans-serif;
  font-size: 28px;
  text-align: center;
  max-width: 400px;
  animation: pulse 1s infinite;
}

.loader {
  width: 48px;
  height: 48px;
  border-radius: 50%;
  display: inline-block;
  border-top: 3px solid #fff;
  border-right: 3px solid transparent;
  box-sizing: border-box;
  animation: rotation 1s linear infinite;
}

@keyframes pulse {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(0.95);
  }
  100% {
    transform: scale(1);
  }
}

@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

